Bug 436952 - atq time format doesn't conform to locale
atq time format doesn't conform to locale
Product: Fedora
Classification: Fedora
Component: at (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-11 07:20 EDT by JW
Modified: 2008-03-26 09:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-26 09:25:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description JW 2008-03-11 07:20:16 EDT
Description of problem:
The date/time format of atq output doesn't conform to locale.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. With at-3.1.8 run "atq"
2. With at-3.1.10-17 run "atq"
Actual results:
1. 2349    2008-06-09 07:00 a user
2. 2349    Mon Jun 09 07:00:00 2008 a user

Expected results:
1. 2349    2008-06-09 07:00 a user
1. 2349    2008-06-09 07:00 a user

Additional info:
Not everybody likes american dates, even if they are so-called POSIX certified.
 The problem with US-style (aka POSIX) dates is that they are extremely computer
un-friendly, and for non-US citzens, difficult to make sense of.

Try feeding the "new" atq date/time format into 'sort' and try and get them
output in correct date/time order.  It is next to impossible, because you get a
more significant quantity (month) followed by a less significant quantity (day)
followed by a less significant quantity (time) following by the most significant
quantity (year). If one was assigned the task of coming up with the most
perverse and illogical date/time format then one would only have to plagiarize
the POSIX/US date format to win first prize.

Why was the date format changed to the most perverse date format on the planet?
 Why wasn't it changed to conform to the user's locale?  And why was the more
logical ISO format dropped?

Please spare us the feet, inches, yards, miles, fahrenheit, and illogical date
formats.  We want progress, not devolution.
Comment 1 Marcela Mašláňová 2008-03-25 10:04:12 EDT
In the new version were from some reason removed ISO formats. It'll be back in

Note You need to log in before you can comment on or make changes to this bug.